Archive or restore tasks
curl --request POST \
--url https://api.doers.sh/v2/tasks/archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"taskIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"restore": false
}
'import requests
url = "https://api.doers.sh/v2/tasks/archive"
payload = {
"taskIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"restore": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({taskIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'], restore: false})
};
fetch('https://api.doers.sh/v2/tasks/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 0,
"restored": true
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}Tasks
Archive or restore tasks
Archiving is reversible: it replaces deletion and is undone with restore: true. There is deliberately no permanent delete in this API.
Owner only.
POST
/
v2
/
tasks
/
archive
Archive or restore tasks
Authorizations
A pc_… token generated from Settings > API & MCP.
Body
application/json
Ids of the tasks concerned (50 maximum).
Required array length:
1 - 50 elementsIdentifier of a row.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$true to unarchive and put the task back in progress.